#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#include <QDialog>
#include <QLineEdit>
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>

class PasswordDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PasswordDialog(QWidget *parent = nullptr);

    QString getPassword() const;

private slots:
    void onConfirmButtonClicked();

private:
    QLineEdit *passwordLineEdit;
    QPushButton *confirmButton;
//    bool eventFilter(QObject *obj, QEvent *event);
};

#endif // PASSWORDDIALOG_H
